#include <stdio.h>

#define MAX_STRING_SIZE 100

int chr_count(char *str, char ch)
{
    int count=0;

    while(*str != '\0')
    {
        if (*str == ch) 
           count++;
        str++;
    }
    return count;
}

int is_anagram(char *str1, char *str2)
{
   int i;

   for(i=0; str1[i] != '\0'; i++)
      if (chr_count(str1, str1[i]) != chr_count(str2, str1[i]))
           return 0;
   if (str2[i] != '\0') /* Different lengths */
       return 0;
   return 1;
}      

int main()
{
	char str1[MAX_STRING_SIZE];
	char str2[MAX_STRING_SIZE];

	printf("Please enter two strings\n");

	scanf("%s", str1);
	scanf("%s", str2);

	if(is_anagram(str1, str2))
	{
		printf("%s is an anagram of %s\n", str1, str2);
	}
	else
	{
		printf("%s not is an anagram of %s\n", str1, str2);
	}
}